<script>
export default {
  name: "CandidateCard",
  props : {
    candidate : null
  }
}
</script>

<template>
  <div>
    <div class="text-center card-box candidate-card">
      <div class="row">
        <img :src="candidate.media()" class="rounded-circle img-thumbnail avatar-xl" alt="profile-image">
        <div class="float-right w-100">
          <b>{{ candidate.fullname }}</b>
          <p class="text-muted">{{ candidate.job_name }}</p>
        </div>
      </div>
      <div class="description row">
        <ul>
          <li v-if="candidate.number_missions"><b>{{ candidate.number_missions }}</b> missions</li>
          <li v-if="candidate.years_experiences"><b>{{ candidate.years_experiences }}</b> ans d'expériences</li>
          <li v-if="candidate.expected_salary"><b>{{ parseInt(candidate.expected_salary).toLocaleString() }}</b>€ / an</li>
        </ul>
      </div>
      <div v-if="candidate.certifications.length" class="certifications">
        <b>Certifié</b>
        <ul>
          <li v-for="certification in candidate.certifications">
            <span v-html="certification.icon"></span>
          </li>
        </ul>
      </div>
      <router-link :to="{ name: 'candidate_show', params: { id: candidate.user.id, job_offer_id: this.$route.params.id  } }" class="waves-effect">
        <button type="button" class="btn btn-primary btn-sm waves-effect waves-light">Voir le profil</button>
      </router-link>
    </div>
  </div>
</template>
